Subject: Re: bug#78660: [PATCH] Add context menu for commenting in prog-mode

From: Billy Lei <[email-masked]>
Date: Tue, 17 Jun 2025 17:20:38 +0800

在 2025/6/9 0:37, Juri Linkov 写道:
>>> I think we can refer to software like notepad++, notepad3, etc to see
>>> which commands are worth to be added to the context menu.
>>
>> Indeed, we could look elsewhere to get an idea for good balance
>> on the menu size.
> 
> I looked at VSCode and didn't see comment-related commands
> on its context menu.  There are the following menu items in VSCode:
> 
>    Go to Definition
>    Go to References
>    Find All References
>    ---
>    Cut
>    Copy
>    Paste
>    ---
>    Command Palette...
> 
> Compare it with the Emacs context menu:
> 
>    Cut
>    Copy
>    Paste
>    Clear
>    Select
>    ---
>    Find Definition
>    Find References
>    ---
>    (Major Mode submenu)
>    (Minor Modes submenus)

Notepad++ (as well as notepad--) does put comment related commands in 
its context menu. I found that this isn't the common practice after 
seeing software like notepad3, notepad4. Perhaps introducing a menu for 
prog-mode would be better.